ps_decoder_s Struct Reference

Decoder object. More...

`#include <pocketsphinx_internal.h>`

## Data Fields

cmd_ln_t * | config
| Configuration.
int | refcount
| Reference count.
acmod_t * | acmod
| Acoustic model.
dict_t * | dict
| Pronunciation dictionary.
dict2pid_t * | d2p
| Dictionary to senone mapping.
logmath_t * | lmath
| Log math computation.
hash_table_t * | searches
| Set of search modules.
ps_search_t * | search
| Currently active search module.
ps_search_t * | phone_loop
| Phone loop search for lookahead.
int | pl_window
| Window size for phoneme lookahead.
uint32 | uttno
| Utterance counter.
ptmr_t | perf
| Performance counter for all of decoding.
uint32 | n_frame
| Total number of frames processed.
char const * | mfclogdir
| Log directory for MFCC files.
char const * | rawlogdir
| Log directory for audio files.
char const * | senlogdir
| Log directory for senone score files.

## Detailed Description

Decoder object.

Definition at line 201 of file pocketsphinx_internal.h.

## Field Documentation

## acmod

acmod_t* ps_decoder_s::acmod

Acoustic model.

Definition at line 207 of file pocketsphinx_internal.h.

Referenced by ps_add_word(), ps_decode_senscr(), ps_end_utt(), ps_free(), ps_get_fe(), ps_get_feat(), ps_get_in_speech(), ps_get_n_frames(), ps_get_rawdata(), ps_get_utt_time(), ps_load_dict(), ps_process_raw(), ps_reinit(), ps_set_allphone(), ps_set_fsg(), ps_set_keyphrase(), ps_set_kws(), ps_set_lm(), ps_set_rawdata_size(), ps_set_search(), ps_start_stream(), ps_start_utt(), and ps_update_mllr().

## config

cmd_ln_t* ps_decoder_s::config

Configuration.

Definition at line 203 of file pocketsphinx_internal.h.

Referenced by ps_end_utt(), ps_free(), ps_get_all_time(), ps_get_config(), ps_get_utt_time(), ps_lattice_read(), ps_load_dict(), ps_reinit(), ps_set_allphone(), ps_set_allphone_file(), ps_set_fsg(), ps_set_jsgf_file(), ps_set_jsgf_string(), ps_set_keyphrase(), ps_set_kws(), ps_set_lm(), ps_set_lm_file(), and ps_set_search().

## d2p

dict2pid_t* ps_decoder_s::d2p

Dictionary to senone mapping.

Definition at line 209 of file pocketsphinx_internal.h.

Referenced by ps_add_word(), ps_free(), ps_load_dict(), ps_reinit(), ps_set_allphone(), ps_set_fsg(), ps_set_keyphrase(), ps_set_kws(), and ps_set_lm().

## dict

dict_t* ps_decoder_s::dict

Pronunciation dictionary.

Definition at line 208 of file pocketsphinx_internal.h.

Referenced by ps_add_word(), ps_free(), ps_lattice_read(), ps_load_dict(), ps_lookup_word(), ps_reinit(), ps_save_dict(), ps_set_allphone(), ps_set_fsg(), ps_set_keyphrase(), ps_set_kws(), and ps_set_lm().

## lmath

logmath_t* ps_decoder_s::lmath

Log math computation.

Definition at line 210 of file pocketsphinx_internal.h.

Referenced by ps_free(), ps_get_logmath(), ps_lattice_read(), ps_reinit(), ps_set_allphone_file(), ps_set_jsgf_file(), ps_set_jsgf_string(), and ps_set_lm_file().

## mfclogdir

char const* ps_decoder_s::mfclogdir

Log directory for MFCC files.

Definition at line 224 of file pocketsphinx_internal.h.

Referenced by ps_reinit(), and ps_start_utt().

## n_frame

uint32 ps_decoder_s::n_frame

Total number of frames processed.

Definition at line 223 of file pocketsphinx_internal.h.

Referenced by ps_get_all_time().

## perf

ptmr_t ps_decoder_s::perf

Performance counter for all of decoding.

Definition at line 222 of file pocketsphinx_internal.h.

Referenced by ps_end_utt(), ps_get_all_time(), ps_get_hyp(), ps_get_prob(), ps_get_utt_time(), ps_reinit(), ps_seg_iter(), and ps_start_utt().

## phone_loop

ps_search_t* ps_decoder_s::phone_loop

Phone loop search for lookahead.

Definition at line 217 of file pocketsphinx_internal.h.

Referenced by ps_end_utt(), ps_reinit(), and ps_start_utt().

## pl_window

int ps_decoder_s::pl_window

Window size for phoneme lookahead.

Definition at line 218 of file pocketsphinx_internal.h.

Referenced by ps_end_utt(), and ps_set_search().

## rawlogdir

char const* ps_decoder_s::rawlogdir

Log directory for audio files.

Definition at line 225 of file pocketsphinx_internal.h.

Referenced by ps_reinit(), and ps_start_utt().

## refcount

int ps_decoder_s::refcount

Reference count.

Definition at line 204 of file pocketsphinx_internal.h.

Referenced by ps_free(), ps_init(), and ps_retain().

## search

ps_search_t* ps_decoder_s::search

Currently active search module.

Definition at line 216 of file pocketsphinx_internal.h.

Referenced by ps_end_utt(), ps_get_hyp(), ps_get_lattice(), ps_get_prob(), ps_get_search(), ps_lattice_read(), ps_nbest(), ps_seg_iter(), ps_set_search(), ps_start_utt(), and ps_unset_search().

## searches

hash_table_t* ps_decoder_s::searches

Set of search modules.

Definition at line 213 of file pocketsphinx_internal.h.

Referenced by ps_add_word(), ps_get_search(), ps_load_dict(), ps_reinit(), ps_search_iter(), and ps_unset_search().

## senlogdir

char const* ps_decoder_s::senlogdir

Log directory for senone score files.

Definition at line 226 of file pocketsphinx_internal.h.

Referenced by ps_reinit(), and ps_start_utt().

## uttno

uint32 ps_decoder_s::uttno

Utterance counter.

Definition at line 221 of file pocketsphinx_internal.h.

Referenced by ps_start_utt().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/pocketsphinx_internal.h